-- save original CreateUI function.
local originalCreateUI = CreateUI 

-- overwrite original CreateUI function.
function CreateUI(isReplay) 
	-- call original function first.
	originalCreateUI(isReplay) 



	-- here is the spot in which you add your console commands.
	-- i've added a few different ones, you can enable/disable them by adding/deleting a " -- " in front of each line.	
	-- custom commands are easy to put it, just write " ConExecute( " then write your console command in quotes, and close with a " ) ".

	if(isReplay == false) then
	-- these commands will run when playing a game, but not a replay.

		ConExecute("ren_showNetworkStats true") 	-- shows your simspeed, latency, and some other cryptic things.
		ConExecute("ren_shadowSize 512") 		-- turns you shadow detail down a good deal. by default, it's 1024.
		ConExecute("cam_NearPitch 30") 			-- when zoomed all the way in the camera pitch will be 30.
		ConExecute("cam_NearFOV 75")
		
		
		
	-- have fun, remember some console commands may show-up as you trying to cheat. be careful!

	else
	-- while these commands will run when watching a replay, but not a game.

	-- so far there's nothing in here. but feel free add whatever you like.
		
		
		
	end

	-- put things here that you always want done, irrespective of loading a replay or not.

	ConExecute("ren_bloomBlurKernelScale 1.75")	-- helps makes shit a bit brighter, without looking saturated.
	ConExecute("ren_bloomGlowCopyScale 1")		-- same as above.



end